#
#	projetc_properties.tcl
#	This file contains the general project properties such as the project name and
# the directory where Vivado is doing it's job
#

set proj_name clbv4_wr_ref_top
set proj_dir work
set script_dir [pwd]/../../../sw/scripts
set lm32_wrpc_initf [pwd]/../../../sw/precompiled/wrps-sw_v4_2_KPx5/wrc.bram

# update revision except when argument "no_update_revison" is passed (as for example by viv_do_programm.tcl)
if {$argc == 0 || $argv != "no_update_revision"} {
  source $script_dir/revisiondate.tcl

  set generics "g_dpram_initf=$lm32_wrpc_initf"
}
             
# CLBv4 equipped with Kintex-7 160t (speed grade -1 has lowest performance)
set device xc7k160tfbg676-2
